std::atomic_flag Struct Reference
Atomics
Inheritance diagram for std::atomic_flag:
[legend]

## Public Member Functions

| atomic_flag (const atomic_flag &)=delete
constexpr | atomic_flag (bool __i) noexcept
void | clear (memory_order __m=memory_order_seq_cst) noexcept
void | clear (memory_order __m=memory_order_seq_cst) volatilenoexcept
atomic_flag & | operator= (const atomic_flag &)=delete
atomic_flag & | operator= (const atomic_flag &) volatile=delete
bool | test_and_set (memory_order __m=memory_order_seq_cst) noexcept
bool | test_and_set (memory_order __m=memory_order_seq_cst) volatilenoexcept

## Public Attributes

unsigned char | _M_i

## Detailed Description

atomic_flag

Definition at line 270 of file atomic_base.h.

The documentation for this struct was generated from the following file:

- atomic_base.h